<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Infusion general information
$inf_title = "VArcade";
$inf_description = "VArcade";
$inf_version = "1.6";
$inf_developer = "Domi & fetloser";
$inf_email = "admin@venue.nu";
$inf_weburl = "http://www.venue.nu";

$inf_folder = "varcade"; // The folder in which the infusion resides.
$inf_admin_image = "arcade.gif"; // Leave blank to use the default image.
$inf_admin_panel = "admin/admin.php"; // The admin panel filename if required.

$inf_link_name = "VArcade"; // if not required replace $locale['xxx102']; with "";
$inf_link_url = "index.php"; // The filename you wish to link to.
$inf_link_visibility = "0"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 10; // Number of new db tables to create or drop.
$inf_insertdbrows = 1; // Numbers rows added into created db tables.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 2; // Number of db tables to delete data from.

$inf_newtable_[1] = "varcade_games (
  `lid` int(4) NOT NULL auto_increment,
  `cid` int(11) NOT NULL default '0',
  `title` varchar(100) NOT NULL default '',
  `description` text NOT NULL,
  `flash` varchar(100) NOT NULL default '',
  `icon` varchar(100) NOT NULL default '',
  `played` int(10) NOT NULL default '0',
  `hiscore` int(20) NOT NULL default '0',
  `hi_player` varchar(50) NOT NULL default '0',
  `status` int(1) NOT NULL default '2',
  `lastplayed` int(10) unsigned NOT NULL default '0',
  `width` varchar(6) NOT NULL default '100%',
  `height` varchar(6) NOT NULL default '100%',
  `control` enum('0','1') NOT NULL default '0',
  `reverse` int(1) NOT NULL default '0',
  `hiscoredate` int(1) NOT NULL default '0',
  `cost` int(10) NOT NULL default '0',
  `reward` int(10) NOT NULL default '0',
  `bonus` int(10) NOT NULL default '0',
  `access` int(1) NOT NULL default '0',
  `errorreport` char(1) NOT NULL default '',
  PRIMARY KEY  (`lid`),
  UNIQUE KEY `title` (`title`),
  UNIQUE KEY `flash` (`flash`)
) TYPE=MyISAM;";

$inf_newtable_[2] = "varcade_score (
  `score_id` int(10) NOT NULL auto_increment,
  `game_id` int(4) NOT NULL default '0',
  `player_id` int(4) NOT NULL default '0',
  `game_score` int(20) NOT NULL default '0',
  `score_date` int(10) unsigned default NULL,
  PRIMARY KEY  (`score_id`)
) TYPE=MyISAM;";

$inf_newtable_[3] = "varcade_cats (
  `cid` int(11) NOT NULL auto_increment,
  `title` varchar(50) NOT NULL default '0',
  `description` text NOT NULL,
  `image` varchar(20) NOT NULL default '0',
  `access` int(1) NOT NULL default '0',
  PRIMARY KEY  (`cid`)
) TYPE=MyISAM;";

$inf_newtable_[4] = "varcade_tournaments (
  `id` mediumint(10) NOT NULL auto_increment,
  `tour_game` int(10) NOT NULL default '0',
  `tour_title` varchar(100) NOT NULL default '0',
  `tour_icon` varchar(100) NOT NULL default '',
  `tour_flash` varchar(100) NOT NULL default '',
  `tour_winner` varchar(100) NOT NULL default '0',
  `tour_score` int(20) NOT NULL default '0',
  `tour_players` smallint(10) NOT NULL default '0',
  `tour_reverse` char(1) NOT NULL default '',
  `tour_startdate` int(10) unsigned default NULL,
  `tour_enddate` int(10) unsigned default NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;";

$inf_newtable_[5] = "varcade_tournament_scores (
  `id` mediumint(10) NOT NULL auto_increment,
  `game_id` mediumint(10) NOT NULL default '0',
  `player_id` mediumint(10) NOT NULL default '0',
  `tour_id` mediumint(10) NOT NULL default '0',
  `game_score` mediumint(20) NOT NULL default '0',
  `score_date` int(10) unsigned default NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;";

$inf_newtable_[6] = "varcade_favourites (
  `fav_id` mediumint(10) NOT NULL default '0',
  `fav_user` mediumint(10) NOT NULL default '0',
  `fav_date` varchar(20) NOT NULL default '0',
  `fav_icon` varchar(30) NOT NULL default '0',
  `fav_gamename` varchar(30) NOT NULL default '0'
) TYPE=MyISAM;";

$inf_newtable_[7] = "varcade_ratings (
 `rating_id` mediumint(10) unsigned NOT NULL auto_increment,
  `rating_item_id` mediumint(10) unsigned NOT NULL default '0',
  `rating_type` char(1) NOT NULL default '0',
  `rating_user` mediumint(10) unsigned NOT NULL default '0',
  `rating_vote` tinyint(1) unsigned NOT NULL default '0',
  `rating_datestamp` int(10) unsigned NOT NULL default '0',
  `rating_ip` varchar(20) NOT NULL default '0.0.0.0',
  PRIMARY KEY  (`rating_id`)
) TYPE=MyISAM;";

$inf_newtable_[8] = "varcade_settings (
  `id` smallint(5) unsigned NOT NULL auto_increment,
  `thumbs_per_row` char(1) NOT NULL default '0',
  `thumbs_per_page` char(1) NOT NULL default '0',
  `allow_guest_play` char(1) NOT NULL default '0',
  `showsize` char(1) NOT NULL default '0',
  `favorites` char(1) NOT NULL default '0',
  `recommend` char(1) NOT NULL default '0',
  `ratings` char(1) NOT NULL default '0',
  `sound` char(1) NOT NULL default '0',
  `comments` char(1) NOT NULL default '0',
  `reports` char(1) NOT NULL default '0',
  `hiscorepm` char(1) NOT NULL default '0',
  `flashdetection` char(1) NOT NULL default '0',
  `tournaments` char(1) NOT NULL default '0',
  `touringp` char(1) NOT NULL default '0',
  `ingameopts` char(1) NOT NULL default '0',
  `related` char(1) NOT NULL default '0',
  `bannerimg` varchar(50) NOT NULL default '0',
  `playingnow` char(1) NOT NULL default '0',
  `usergold` char(1) NOT NULL default '0',
  `keepalive` char(1) NOT NULL default '0',
  `popup` char(1) NOT NULL default '0',
  `version` varchar(5) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;";

$inf_insertdbrow_[1] = "varcade_settings VALUES (1, '2', '6', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1','1', '1', '1', '1','1', '1','0','1','1', '1.6')";

$inf_newtable_[9] = "varcade_active (
  `game_id` int(10) NOT NULL default '0',
  `title` varchar(50) NOT NULL default '0',
  `icon` varchar(50) NOT NULL default '0',
  `lastactive` int(10) unsigned NOT NULL default '0'
) TYPE=MyISAM;";

$inf_newtable_[10] = "varcade_activeusr (
  `game_id` int(10) NOT NULL default '0',
  `player` int(10) NOT NULL default '0',
  `user_ip` varchar(20) NOT NULL default '0',
  `lastactive` int(10) unsigned NOT NULL default '0'
) TYPE=MyISAM;";


$inf_droptable_[1] = "varcade_games";
$inf_droptable_[2] = "varcade_cats";
$inf_droptable_[3] = "varcade_score";
$inf_droptable_[4] = "varcade_tournaments";
$inf_droptable_[5] = "varcade_tournament_scores";
$inf_droptable_[6] = "varcade_favourites";
$inf_droptable_[7] = "varcade_ratings";
$inf_droptable_[8] = "varcade_settings";
$inf_droptable_[9] = "varcade_active";
$inf_droptable_[10] = "varcade_activeusr";

$inf_deldbrow_[1] = "comments WHERE comment_type = 'G';";
?>